#pragma once

class CConnectionWizardDlg : public CDialog
{
	DECLARE_DYNAMIC(CConnectionWizardDlg)
public:
	CConnectionWizardDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CConnectionWizardDlg();

	enum { IDD = IDD_WIZARD };
	int m_iOS;
	int m_iTotalDownload;
	int m_iBitByte;

	void Localize();

protected:
	HICON m_icnWnd;
	CListCtrl m_provider;

	void SetCustomItemsActivation();

	virtual BOOL OnInitDialog();
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
	afx_msg void OnBnClickedApply();
	afx_msg void OnBnClickedCancel();
	afx_msg void OnBnClickedWizRadioOsNtxp();
	afx_msg void OnBnClickedWizRadioUs98me();
	afx_msg void OnBnClickedWizLowdownloadRadio();
	afx_msg void OnBnClickedWizMediumdownloadRadio();
	afx_msg void OnBnClickedWizHighdownloadRadio();
	afx_msg void OnBnClickedWizResetButton();
	afx_msg void OnNMClickProviders(NMHDR *pNMHDR, LRESULT *pResult);

	// MOD BEGIN netfinity: Providers
	class Subscription
	{
	public:
		Subscription(CString& strCountry, CString& strProvider, CString& strType, CString& strSubscription, uint32 nDownlink, uint32 nUplink, uint32 nMonthlyLimit = 0)
		{
			m_strCountry = strCountry;
			m_strProvider = strProvider;
			m_strType = strType;
			m_strSubscription = strSubscription;
			m_nDownlink = nDownlink;
			m_nUplink = nUplink;
			m_nMonthlyLimit = nMonthlyLimit;
		}
		Subscription(wchar_t* strCountry, wchar_t* strProvider, wchar_t* strType, wchar_t* strSubscription, uint32 nDownlink, uint32 nUplink, uint32 nMonthlyLimit = 0)
		{
			m_strCountry = strCountry;
			m_strProvider = strProvider;
			m_strType = strType;
			m_strSubscription = strSubscription;
			m_nDownlink = nDownlink;
			m_nUplink = nUplink;
			m_nMonthlyLimit = nMonthlyLimit;
		}
	public:
		CString		m_strCountry;
		CString		m_strProvider;
		CString		m_strType;
		CString		m_strSubscription;
		uint32		m_nDownlink;
		uint32		m_nUplink;
		uint32		m_nMonthlyLimit;
	};
	CList<class Subscription*> m_Subscriptions;
	// MOD END netfinity
};
